BizTalk Server 2004 and BizTalk Server 2006 SAP Adapter requires and uses the SAP .NET Connector which is distributed by SAP.

For BizTalk Server 2006, you need SAP .NET Connecter 1.0.3 Runtime.

 

 

It looks like only the user who installed the SAP .NET Connecter 1.0.3 Runtime can use it, and thus use SAP Adapter.


If user X installs SAP .NET Connector (thru setupruntime.msi) and user Y tries to generate a schema from Visual Studio 2005, Y gets an error:


Add Adapter Wizard
------------------------------------------------------
Unable to display adapter user interface.
SAP .Net connector is not installed
------------------------------------------------------
OK

 

In order to solve the problem, you have to install the SAP .NET Connector for all users. As option doesn’t show up in the GUI, you can do it that way :

 

msiexec /i SetupRuntime.msi ALLUSERS=1